it.csi.mddtools.guigen

## Interface ActivateMultiPanelItemCommand

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ActivateMultiPanelItemCommand
      extends Command

  A representation of the model object 'Activate Multi Panel Item Command'. Permette di visualizzare uno degli item di un MultiPanel (o di una delle sue sottoclassi TabSetPanel o WizardPanel).

  The following features are supported:

  - `Multipanel`
  - `Active Item`
  See Also:
    `GuigenPackage.getActivateMultiPanelItemCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Panel` | `getActiveItem()` Returns the value of the 'Active Item' reference
    `MultiPanel` | `getMultipanel()` Returns the value of the 'Multipanel' reference
    `boolean` | `isSetActiveItem()` Returns whether the value of the '`Active Item`' reference is set
    `void` | `setActiveItem(Panel value)` Sets the value of the '`Active Item`' reference
    `void` | `setMultipanel(MultiPanel value)` Sets the value of the '`Multipanel`' reference
    `void` | `unsetActiveItem()` Unsets the value of the '`Active Item`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMultipanel

          MultiPanel getMultipanel()

      Returns the value of the 'Multipanel' reference.

      If the meaning of the 'Multipanel' reference isn't clear, there really should be more of a description here...

      Il multipanel del quale si desidera cambiare l'item visualizzato.
      Returns:
        the value of the 'Multipanel' reference.
      See Also:
        `setMultipanel(MultiPanel)`, `GuigenPackage.getActivateMultiPanelItemCommand_Multipanel()`

    - #### setMultipanel

          void setMultipanel(MultiPanel value)

      Sets the value of the '`Multipanel`' reference.
      Parameters:
        `value` - the new value of the 'Multipanel' reference.
      See Also:
        `getMultipanel()`

    - #### getActiveItem

          Panel getActiveItem()

      Returns the value of the 'Active Item' reference.

      If the meaning of the 'Active Item' reference isn't clear, there really should be more of a description here...

      L'item da visualizzare. Se impostato a "null" non verrà visualizzato nessun pannello (vale solo per il MultiPanel).
      Returns:
        the value of the 'Active Item' reference.
      See Also:
        `isSetActiveItem()`, `unsetActiveItem()`, `setActiveItem(Panel)`, `GuigenPackage.getActivateMultiPanelItemCommand_ActiveItem()`

    - #### setActiveItem

          void setActiveItem(Panel value)

      Sets the value of the '`Active Item`' reference.
      Parameters:
        `value` - the new value of the 'Active Item' reference.
      See Also:
        `isSetActiveItem()`, `unsetActiveItem()`, `getActiveItem()`

    - #### unsetActiveItem

          void unsetActiveItem()

      Unsets the value of the '`Active Item`' reference.
      See Also:
        `isSetActiveItem()`, `getActiveItem()`, `setActiveItem(Panel)`

    - #### isSetActiveItem

          boolean isSetActiveItem()

      Returns whether the value of the '`Active Item`' reference is set.
      Returns:
        whether the value of the 'Active Item' reference is set.
      See Also:
        `unsetActiveItem()`, `getActiveItem()`, `setActiveItem(Panel)`